For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
This page is for version Prod (default).
For other versions, use one of these documentation indexes:
- Prod (default): https://docs.chrt.com/prod/llms.txt
- Staging: https://docs.chrt.com/staging/llms.txt
- Dev: https://docs.chrt.com/dev/llms.txt
Lists sessions with filtering, sorting, and pagination. Use org_scope to restrict to owned, shared, or both (default). | auth: api_key | authz: min_org_role=operator | () -> (SessionListRes)
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Query parameters
sort_byenumOptional
Field to sort by
Allowed values:
sort_orderenumOptional
Sort order (asc or desc)
Allowed values:
pageintegerOptional>=1Defaults to 1
page_sizeintegerOptional1-100Defaults to 20
searchstring or nullOptional
Full-text search query
org_scopeenumOptional
Filter by org ownership: owned, shared, or owned_and_shared
Allowed values:
filter_session_idslist of strings or nullOptional
Filter by selected session ids
filter_terminatedboolean or nullOptional
Filter by terminated status
filter_publicboolean or nullOptional
Filter by public visibility
filter_device_idstring or nullOptional
Filter by device ID
filter_off_chrt_reference_idstring or nullOptionalformat: "^[A-Za-z0-9._~\-]{1,64}$"1-64 characters
Filter by off-CHRT reference ID (exact match)
filter_flight_numberstring or nullOptional
Filter by flight number (exact match)
filter_flight_loaded_statusstring or nullOptional
Filter by flight loaded status (exact match)
filter_has_last_seenboolean or nullOptional
Filter by whether both last_seen_at_location and last_seen_at_timestamp are set
filter_created_at_timestamp_gtestring or nullOptionalformat: "date-time"
Filter by created_at_timestamp >= value
filter_created_at_timestamp_ltestring or nullOptionalformat: "date-time"
Filter by created_at_timestamp <= value
filter_last_seen_at_timestamp_gtestring or nullOptionalformat: "date-time"
Filter by last_seen_at_timestamp >= value
filter_last_seen_at_timestamp_ltestring or nullOptionalformat: "date-time"
Filter by last_seen_at_timestamp <= value
filter_termination_scheduled_for_timestamp_gtestring or nullOptionalformat: "date-time"
Filter by termination_scheduled_for_timestamp >= value
filter_termination_scheduled_for_timestamp_ltestring or nullOptionalformat: "date-time"
Filter by termination_scheduled_for_timestamp <= value
filter_terminated_at_timestamp_gtestring or nullOptionalformat: "date-time"
Filter by terminated_at_timestamp >= value
filter_terminated_at_timestamp_ltestring or nullOptionalformat: "date-time"